Subject: Re: [devuan-dev] bug#792: lag in exiting xsession using experimental xserver-xorg-core

From: Mark Hindley <[email-masked]>
Date: Wed, 13 Sep 2023 14:40:09 +0100

Control: tags -1 unreproducible

Thanks

I am afraid I am unable to reproduce this at all with either icewm, jwm or any
other wm.

On Wed, Sep 13, 2023 at 01:44:59PM +0100, 50r3n.2023 wrote:
> 
> This is what my icewm .xinitrc looks like with the log out lag, just using icewm only.
> [code]
> xrdb -merge ~/.Xresources &
> xrandr --output Virtual-1 --mode 1920x1200 &
> (sleep 2s && exec dbus-launch --exit-with-session icewm)
> [/code] 
> 
> This .xinitrc involves no lag in logging out using icewm-session
> [code]
> xrdb -merge ~/.Xresources &
> xrandr --output Virtual-1 --mode 1920x1200 &
> (sleep 2s && exec dbus-launch --exit-with-session icewm-session) 
> [/code]

This looks a bit strange to me, but I am unconvinced it is related to the
shutdown delay you experience.

I would expect to run  xrdb and xrandr in the foreground and then not bother
with the sleep or subshell.

On the off-chance that is the cause, does changing to something like this make
any difference?

 xrdb -merge ~/.Xresources 
 xrandr --output Virtual-1 --mode 1920x1200
 exec dbus-launch --exit-with-session icewm

Mark